Name: cervisia
Summary: Graphical CVS client
Version: 1.4.1
Release: 2
Epoch: 1
Source: http://download.sourceforge.net/cervisia/cervisia-%{version}.tar.gz
Patch1: cervisia-1.1-s390.patch
URL: http://cervisia.sourceforge.net
Group: Development/Tools
Copyright: QPL
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: qt-devel >= 2.2, kdelibs-devel >= 2.0
BuildPrereq: zlib-devel, XFree86-devel, libpng-devel,libjpeg-devel, fam-devel
Requires: cvs >= 1.10
Prefix: %{_prefix}
Excludearch: sparc

%description
Cervisia is a KDE graphical frontend for the the CVS client. It
features checking out a module from a repository, updating or
retrieving the status of a working directory or single files, common
operations like add, remove and commit, diff against the repository
and between different revisions, annotated view of a file, view of the
log messages in tree and list form as well as resolving of conflicts
in a file.

%prep
%setup -q
%patch1 -p1 -b .redhat

%build
QTDIR="" && source /etc/profile.d/qt.sh
export KDEDIR=%{prefix}
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

test -f Makefile.dist && make -f Makefile.dist
cp /usr/share/libtool/config.* .
CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" \
./configure --prefix=%{prefix} \
  --with-install-root=$RPM_BUILD_ROOT \
  --with-kde-dir=%{prefix} \
  --with-qt-dir=$QTDIR \
  --with-kde-version=2

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/cervisia
%{_docdir}/HTML/en/cervisia
%{_mandir}/*/cervisia.1*
%{_datadir}/applnk/Development/*
%{_datadir}/icons/*/*/apps/*

%changelog
* Fri Jul 13 2001 Than Ngo <than@redhat.com> 1.4.1-2
- fix build dependencies (bug #48504)

* Fri Jun 22 2001 Preston Brown <pbrown@redhat.com>
- 1.4.1, build for dist

* Thu Apr 26 2001 Than Ngo <than@redhat.com>
- update to 1.3

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt because of libmng soname change

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- update to 1.2 which fixes some bugs
- changed COPYRIGHT to QPL

* Sun Feb 11 2001 Than Ngo <than@redhat.com>
- updated to 1.1

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- updated to 1.0beta3
- fixed for building on ia64 and s390
- clean up specfile

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Tue Nov 7 2000 Than Ngo <than@redhat.com>
- update to 0.7.2
- clean up specfile, kde2 for 7.1 now under /usr

* Mon Sep 11 2000 Karsten Hopp <karsten@redhat.de>
- update to 0.7
- build with QT-2.2 and KDE-2

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against kde1, kde1 is now as default

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sun Jul 23 2000 Than Ngo <thanqredhat.de>
- Don't hardcode Qt version

* Tue Jul 11 2000 Than Ngo <than@redhat.de>
- rebuilt with the new qt/kde2

* Thu Jul 06 2000 Than Ngo <than@redhat.de>
- FHS fixes
- fix to build with gcc-2.96 on alpha,sparc,ia64
- built with egcs++ on i386

* Sat May 20 2000 Ngo Than <than@redhat.de>
- rebuilt with kde2 and qt-2.1 for powertools 7.0
- put man pages in /usr/share/man/*
- update Url
- patch config.sub to compiler on alpha

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- updated to 0.6.0

* Wed Feb 23 2000 Tim Powers <timp@redhat.com>
- fixed kde_htmldir some more. This time used a patch so that the fix would be
	used.
	
* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir

* Wed Feb 2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with Qt 1.45

* Tue Jan 4 2000 Tim Powers <timp@redhat.com>
- update to 0.3.1
- no longer using file list, too few files not to put in the %files section
- gzip man pages, strip binary
- changed license to be artistic
- using %configure to prevent libtool brakage during the build (so libtoolize
	is run)
- built for 6.2

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- slightly modified for powertools.

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

